* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    background-color: whitesmoke;
}



/* portefolio */
.fenetre {
    width: 75%;
    height: 100%;
    margin: auto;
    border-left: 1px solid black;
    border-right: 1px solid black;
    box-shadow: 0px 0px 70px black;
    background-color: black;
}

/* barre de navigation */
nav {
    background-color: #153061;
    position: sticky;
    z-index: 4;
}

nav > ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 90px;
    margin-left: 30px;
    margin-right: 70px;
    align-items: center;
    padding-top: 5px;
}

.burger {
    display: none;
}

nav a {
    text-decoration: none;
    color: white;
}

nav .nom {
    font-weight: bold;
    font-size: 1.8rem;
    flex-basis: auto;
    font-family: "Oxygen";
}

nav > ul > li:nth-child(2),
nav > ul > li:nth-child(3),
nav > ul > li:nth-child(4) {
    padding-left: 40px;
    font-size: 1.2rem;
}

nav > ul > li:nth-child(4) {
    flex-grow: 1;
    padding-right: 40px;
}

nav > ul > li:nth-child(5) {
    flex-basis: 100px;
    text-align: center;
    font-size: 1.2rem;
    border-radius: 6px;
}

.btnCV {
    color: black;
    font-size: 1.4rem;
    font-weight: bold;
    font-family: "Ubuntu", monospace;
    display: inline-block;
    padding: 4px 20px;
    border-bottom-right-radius: 8px;
    border-top-left-radius: 8px;
    background-color: transparent;
    position: relative;
    transition: all 0.4s;
    z-index: 2;
    overflow: hidden;
}

.btnCV::after {
    content: "";
    position: absolute;
    height: 200px;
    width: 200px;
    background: linear-gradient(
        120deg,
        rgb(255, 241, 104) 0%,
        rgb(214, 32, 32) 100%
    );
    top: -30px;
    left: -30px;
    z-index: -1;

    box-shadow: 0px -0px 0px 0px rgba(255, 241, 104, 0.5),
        0px 0px 0px 0px rgba(214, 32, 32, 0.5);
    transition: all 0.6s;
}

.btnCV:hover::after {
    transform: rotate(240deg);
}

.btnCV:hover {
    transform: translateY(2px);
    box-shadow: 7px -7px 25px 0px rgba(255, 241, 104, 0.25),
        -7px 7px 25px 0px rgba(214, 32, 32, 0.25);
}

.menuDeroul {
    display: none;
}

h1 {
    color: black;
    font-weight: bold;
    text-shadow: 0px 0px 9px rgb(255, 241, 104), 0px 0px 2px white;
    font-family: "Ubuntu", monospace;
    text-align: center;
    padding-top: 35px;
    font-size: 3.5rem;
    text-decoration: underline;
}
/* section a propos de moi */
section.aboutme {
    display: flex;
    flex-direction: row;
}
.presentText {
    background-color: rgb(196, 196, 196);
    margin: 40px 30px 140px 90px;
    padding: 20px 60px 40px 60px;
    border-radius: 5px;
    width: 60%;
    min-width: 440px;
}

.photo {
    margin: 0 auto;
}

.maPhoto {
    width: 330px;
}

.animation {
    font-family: monospace;
    font-size: 1.5rem;
    font-weight: normal;
    font-style: italic;
}

.aboutme li {
    list-style-type: none;
    padding-left: 7px;
    letter-spacing: 1px;
}

.aboutme li:nth-child(1) {
    color: blue;
}

.aboutme li:nth-child(2) {
    color: rgb(95, 5, 5);
    text-shadow: 0 0 1px black;
}

.secondRow {
    display: flex;
}

.aboutme h2 {
    font-size: 1.5rem;
    font-weight: bold;
    padding-top: 20px;
    padding-bottom: 5px;
}

.aboutme p {
    font-size: 1.2rem;
    font-family: "Times New Roman", Times, serif;
    font-style: normal;
}

#animText1,
#animText2 {
    position: relative;
    width: max-content;
    color: #153061;
}

#animText1::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
}

#animText1::after {
    border-left: 0.125rem solid black;
    height: 100%;
    animation: clign 0.9s 6;
    opacity: 0;
}

#animText3 {
    padding-left: 10px;
    color: blue;
}

@keyframes clign {
    0% {
        opacity: 0;
    }
    25% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

iframe {
    -moz-transform: scale(0.65, 0.65);
    -webkit-transform: scale(0.65, 0.65);
    -o-transform: scale(0.65, 0.65);
    -ms-transform: scale(0.65, 0.65);
    transform: scale(0.65, 0.65);
    /* -moz-transform-origin: top ;
    -webkit-transform-origin: top ;
    -o-transform-origin: top ;
    -ms-transform-origin: top ;
    transform-origin: top ; */
}

.container {
    width: 100%;
    min-width: 500px;
    position: relative;
}

h3 {
    font-weight: bold;
    color: white;
    font-family: "Oxygen";
    padding-top: 80px;
    text-align: center;
    font-size: 1.7rem;
}

h3 a {
    color: #8eb2f6;
}
.iframeContainer {
    position: relative;
    height: 100vh;
    width: 100%;
    /* margin: 40px auto -250px auto; */
    margin: -4% 0;
}
.iframeContent {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
}

.textPres {
    position: absolute;
    color: white;
    top: 0;
    left: 0;
    width: 65%;
    text-align: center;
    font-size: 1.1rem;
    font-family: "Oxygen";
    padding: 10px;
    margin-top: 180px;
    margin-left: 18%;
}

.iframeContent:hover {
    opacity: 0.2;
    filter: brightness(50%);
}

.langage {
    position: relative;
    color: rgb(16, 177, 51);
    font-style: "Magra";
    font-size: 1.6rem;
    font-weight: bold;
    padding: 20px 30px 15px 30px;
}

.particul {
    position: relative;
    font-family: "Oxygen";
    font-size: 1.2rem;
    font-weight: bold;
    display: inline-block;
    text-align: left;
}

.particul .titre {
    color: red;
    font-size: 1.8rem;
}

.particul ul {
    padding-left: 50px;
    color: white;
    font-weight: normal;
    list-style-type: none;
    font-size: 1rem;
}

.logos {
    display: flex;
    justify-content: center;
    align-items: center;
}

.logos img,
.langage img {
    margin: 10px;
    height: 45px;
}

.lien {
    font-family: "Oxygen";
    font-size: 1.6rem;
    font-weight: bold;
    text-align: center;
    position: relative;
    padding: 10px;
}

.intro {
    font-size: 1.1rem;
}

/* CSS du formulaire */

.center_div {
    color: black;
    font-weight: bold;
    text-shadow: 0px 0px 9px rgb(255, 241, 104), 0px 0px 2px white;
    font-family: "Ubuntu", monospace;
    text-align: center;
    font-size: 3.5rem;
    text-decoration: underline;
    margin: 35px auto;
}

#mail form {
    padding: 50px 5%;
    border: 1px solid rgb(255, 241, 104);
    box-shadow: 0px 0px 15px rgb(255, 241, 104);
    border-radius: 5px;
    width: 50%;
    min-width: 500px;
    height: 500px;
    margin: 50px auto 40px auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#mail input {
    margin: 10px 0px 5px 20px;
    width: 250px;
    height: 40px;
    border-radius: 15px;
}
#mail textarea {
    margin: 20px;
}

#mail #subForm {
    margin: auto;
    width: 80px;
    padding: 10px;
    text-align: center;
    border-radius: 5px;
}

#mail .error {
    color: red;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: left;
}

#mail .email_success {
    color: green;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: left;
}

#nom,
#email,
#sujet {
    padding-left: 5px;
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 90px;
    background-color: #153061;
}

.footer1 {
    width: 70%;
    font-size: 1.5rem;
    font-family: "Times new roman";
}

.footer1 > ul {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    text-align: center;
    padding: 5px;
}

.footer1 li {
    list-style: none;
}

.footer2 {
    width: 30%;
    text-align: center;
    padding: 5px;
    font-size: 1rem;
    font-family: "Ubuntu";
    color: white;
}

footer a {
    text-decoration: none;
    color: white;
}

.footerli > a::after {
    display: block;
    content: "";
    width: 0;
    height: 2px;
    background-color: white;
    transition: width 0.4s;
}
.footerli:hover > a::after {
    width: 100%;
}

/* version mobile */

@media screen and (max-width: 1605px) {
    .openModal {
        display: none;
    }

    .textPres {
        position: relative;
        margin-top: 100px;
        margin-bottom: 50px;
    }

    .iframeContent {
        position: relative;
    }

    .iframeContainer {
        height: 75vh;
    }

    .container {
        border: 1px solid rgb(221, 221, 104);
    }

    .iframeContent:hover {
        opacity: 1;
        filter: brightness(100%);
    }
}

@media screen and (max-width: 1300px) {
    body {
        width: 100vw;
    }

    .fenetre {
        width: 100vw;
        box-shadow: none;
    }
}

@media screen and (max-width: 1000px) {
    nav > ul {
        margin-right: 0px;
        margin-left: 15px;
    }

    nav > ul > li:nth-child(2),
    nav > ul > li:nth-child(3),
    nav > ul > li:nth-child(4) {
        display: none;
    }

    nav > ul > li:nth-child(6) {
        margin-right: 30px;
    }
    .animation {
        font-size: 1.4rem;
    }

    .burger {
        display: block;
        height: 40px;
        width: 40px;
        background-color: white;
        border-radius: 7px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .burger > span {
        background-color: black;
        height: 4px;
        width: 25px;
        border-radius: 8px;
        position: relative;
    }

    .barre::after,
    .barre::before {
        content: "";
        position: absolute;
        left: 0px;
        display: block;
        background-color: black;
        height: 4px;
        width: 25px;
        border-radius: 8px;
    }

    .barre::after {
        transform: translateY(8px);
    }
    .barre::before {
        transform: translateY(-8px);
    }

    .appnav .barre {
        width: 0px;
        transform: translateX(-12px);
    }

    .appnav .barre::before {
        transform: rotate(45deg);
    }

    .appnav .barre::after {
        transform: rotate(-45deg);
    }

    .container {
        min-width: 0;
    }

    .presentText {
        margin: 40px auto 80px auto;
        padding: 20px 40px 40px 40px;
        width: 90%;
        border-radius: 3px;
        min-width: 0;
    }

    nav > ul > li:nth-child(5) {
        display: none;
    }

    .menuDeroul {
        position: absolute;
        width: 100%;
        display: block;
        transform: translateY(-280px);
        transition: all 0.5s;
        top: 0px;
        z-index: 1;
    }

    .menuDeroul.appnav2 {
        transform: translateY(90px);
        transition: all 0.5s;
    }

    .menuDeroul .onglet {
        list-style: none;
        height: 80px;
        text-align: center;
        background-color: white;
        border-top: 3px solid black;
        line-height: 80px;
        vertical-align: middle;
        box-shadow: inset 0px 0px 35px #153061;
    }

    .site {
        display: none;
    }

    .menuDeroul a {
        color: black;
        font-size: 1.5rem;
        text-decoration: none;
        display: block;
        height: 100%;
    }

    .container h3 {
        width: 80%;
        margin: auto;
    }
}
@media screen and (max-width: 800px) {
    section.aboutme {
        flex-direction: column;
    }

    .animation {
        font-size: 1.1rem;
    }

    .presentText {
        margin: 40px auto 10px auto;
    }

    .menuDeroul .site {
        display: block;
        padding-left: 20%;
        background-color: white;
        border-top: 1px solid black;
        line-height: 50px;
        font-size: 1.2rem;
    }

    .menuDeroul .onglet {
        border-bottom: 2px solid black;
    }

    #mail form {
        min-width: 200px;
        width: 90%;
        margin: 20px auto;
    }
    #mail textarea {
        width: 80%;
        margin: 20px auto;
    }

    #mail input {
        width: 80%;
        margin: 0px auto;
    }

    .footer1 {
        display: none;
    }

    .footer2 {
        width: 100%;
    }
}
